/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
  HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


body, div, main, section, article {
  box-sizing: border-box; 
}


/* Background Image */
body {
	background-image: url("../img/background.png");
	
}

/* universal background color */
body {	
  background-color: #18021d;
  
}

/* header image */
header img {
  width: 500px;
  max-width: 98%;
}

/* Disqus */
#disqus_thread {
max-width: 900px;
background-color: #000000;
margin: auto;
margin-bottom: 10px;
padding: 0px 12px 12px;
border-radius: 15px;
}

/* header color */
header {
	background-color: #18021d;
	background-image: url("../img/header background.png");
	
}


/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/*Layout for Sidebar and Comic in index*/

.comic-grid {
  display: grid;
  grid-template-columns: 70% 30%;
  column-gap: 2px;
	
}

.sidebar {
  background-color: #bab1bd;
  outline: 3px solid #000000;
  height: 1350px;
  width: 350px;
  border-radius: 20px;
  margin-top: 190px;
  margin-right: 20px;

}

.comic-area {
}

/*FONTS*/

/* header font */
#showComic, header, h1, h2, h3, h4, h5 {
  font-family: 'Serif', Garamond;
}

/* body font */
.subPage p, footer, #authorNotes, .archiveTable, li, ul {
  font-family: 'Helvetica', sans-serif;
  font-size: large;
  color:#0f0f0f 
}

/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

.subPage {
  width: 1000px;
  max-width: 98%;
  background-color: #e9e3eb  ;
  outline: 3px solid #000000;
  margin: auto;
  margin-bottom: 10px;
  padding: 0px 12px 12px;
  box-shadow: 0px 5px 8px;
  border-radius: 15px;
}

.subPage:not(.archivePage) {
  text-align: center;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:20px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-left:20px;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */

a {  text-decoration: none;

}

a {
      color: #9972a4;
    }

a:hover {
      color: #814e8d;
    }
    
/*NEW ARCHIVE STYLING*/

.custom-select {
  min-width: 400px;
}

.custom-select select {
  appearance: none;
  width: 30%;
  font-size: 1.15rem;
  padding: 0.675em 6em 0.675em 1em;
  background-color: #000;
  border: 1px solid #caced1;
  border-radius: 0.25rem;
  color: #fff;
  cursor: pointer;
}

/* HEADER */
header #nav {
  background-color: #0c0b0c;
  font-size: 30px;
  text-align: center;
  width: 100%;
  margin: auto;
  padding: 5px 5px 5px;
  
  }

/* HOMEPAGE */

/* style nav button images */
.comicNav {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  padding: 10px 0px;
}
.comicNav img {
  width: 80px;
  max-width: 98%;
  padding-right: 30px;
}

/* style comic page image */
.comicPage img {
  width: 900px;
  max-width: 98%;
  margin-right: 20px;
}

/* style author notes */
#authorNotes {
  text-align: center;
  background-color: #e9e3eb;
  outline: 3px solid #000000;
  margin: auto;
  padding: 3px;
  padding-top: 0px;
  width: 900px;
  max-width: 98%;
  box-shadow: 0px 5px 8px;
  border-radius: 15px;
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 90%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
  padding: 3px;
  vertical-align: center;
  
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
}

.archiveCellNum {
  text-align: center;
  min-width: 30px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    width: 500px;
    max-width: 60px;
}
.archiveCellThumb img{
    max-width: 100%;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow:hover {
  background-color: #DA5437;
  cursor: pointer;
}

/* FOOTER */
footer {
  color: #ffffff;
  margin-top: 12px;
  margin-bottom: 15px;
  float: left;
  width: 100%;
  font-size: 12px;

}

footer p {
  margin: auto;
}

footer a {
  color: #c8d32b
}

footer a:hover {
  color: #868d26
}

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}

